Get site details
GET
/sites/{siteId}
Return site details and optionally its devices.
Authorizations
AccessToken
Type
HTTP (bearer)
Parameters
Path Parameters
siteId*
Site ID
Type
Requiredstring
Query Parameters
includeDevices
Whether to include device details, default true
Type
boolean
Default
trueResponses
Site details and device list returned successfully
application/json
Site details (includes device list)
Collapse
id
string
Site unique identifier
name
string
Site name
countryCode
string
Country code (ISO 3166-1 alpha-2), such as CN, US, DE, JP
address
string
Full address
timezone
string
Timezone
installDate
string
Installation date
Format
"date-time"gridMeterId
string
Grid meter ID provided by utility company, e.g. NMI in Australia, MPRN in UK
gridConnectionPhaseType
string
Grid connection type: Single phase or Three phase
Valid values
"singlePhase""threePhase"gridCode
string
Grid standard/safety code (VDE-AR-N 4105, G99, NB/T 32004)
owner
string
Owner
totalPvCapacityKw
number
Total PV installed capacity (kW)
Format
"double"totalBatteryCapacityKwh
number
Total battery storage capacity (kWh)
Format
"double"totalRatedPowerKw
number
Total rated active power of all inverters (kW)
Format
"double"totalMaxChargePowerKw
number
Site total maximum charge power (kW)
Format
"double"totalMaxDischargePowerKw
number
Site total maximum discharge power (kW)
Format
"double"totalMaxReactivePowerKvar
number
Total maximum reactive power (kvar, positive=export/inductive, negative=absorb/capacitive)
Format
"double"online
boolean
faultStatus
string
Fault status
Valid values
"normal""fault"devices
object[]
All devices under the site
Expand
GET
/sites/{siteId}